com.aliyun.svideosdk

## Enum AlivcSdkCore.AlivcLogLevel

- java.lang.Object
- - java.lang.Enum<AlivcSdkCore.AlivcLogLevel>
  - - com.aliyun.svideosdk.AlivcSdkCore.AlivcLogLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AlivcSdkCore.AlivcLogLevel>
  Enclosing class:
    AlivcSdkCore

      public static enum AlivcSdkCore.AlivcLogLevel
      extends java.lang.Enum<AlivcSdkCore.AlivcLogLevel>

  SDK 日志等级，默认为AlivcLogWarn

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AlivcLogClose` log日志关闭
    `AlivcLogDebug` log等级debug
    `AlivcLogError` log等级Error
    `AlivcLogFatal` log等级Fatal
    `AlivcLogInfo` log等级info
    `AlivcLogVerbose` log等级verbose
    `AlivcLogWarn` log等级warn

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static AlivcSdkCore.AlivcLogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AlivcSdkCore.AlivcLogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AlivcLogClose

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogClose

      log日志关闭

    - #### AlivcLogVerbose

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogVerbose

      log等级verbose

    - #### AlivcLogDebug

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogDebug

      log等级debug

    - #### AlivcLogInfo

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogInfo

      log等级info

    - #### AlivcLogWarn

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogWarn

      log等级warn

    - #### AlivcLogError

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogError

      log等级Error

    - #### AlivcLogFatal

          public static final AlivcSdkCore.AlivcLogLevel AlivcLogFatal

      log等级Fatal

  - ### Method Detail

    - #### values

          public static AlivcSdkCore.AlivcLogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlivcSdkCore.AlivcLogLevel c : AlivcSdkCore.AlivcLogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlivcSdkCore.AlivcLogLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()